package com.ruoyi.jjh.ent.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 总部企业返回体
 *
 * @author du
 * @since 2024/7/29 13:01
 */
@Data
@ApiModel("总部企业返回体")
@TableName(value = "j_headquarters_revenue")
public class JHeadQuartersRevenue {

    /**
     * 企业名称
     */
    @ApiModelProperty("企业名称")
    private String qymc;

    /**
     * 【总部类型】
     * 制造业总部：06-46
     * 建筑业总部：47-50
     * 批零住餐总部：51、52、61、62
     * 贸易类总部：待定
     * 服务业总部：其他所有的
     */

    @ApiModelProperty("总部类别")
    @TableField(exist = false)
    private String type;

    /**
     * 统一社会信用代码
     */
    @ApiModelProperty("统一社会信用代码")
    private String tyshxydm;

    /**
     * 行业代码（五经普）
     */
    @ApiModelProperty("行业代码（五经普）")
    private String hydm;

    /**
     * 2022年营收（单位：千元）
     */
    @ApiModelProperty("2022年营收 （单位：千元）")
    private String revenue;

    /**
     * 2022年税收（单位：千元）
     */
    @ApiModelProperty("2022年税收（单位：千元）")
    private String taxation;

//    /**
//     * 年份
//     */
//    @ApiModelProperty("年份")
//    private String years;

    /**
     * 2023产值
     */
    @ApiModelProperty("2023产值")
    private String output;

    /**
     * 2023销售额
     */
    @ApiModelProperty("2023销售额")
    private String sales;

    /**
     * 2024产值
     */
    @ApiModelProperty("2024产值")
    private String output2024;

    /**
     * 2024销售额
     */
    @ApiModelProperty("2024销售额")
    private String sales2024;
}
